Bug 450322 - Publishing to large numbers of topics causes sync timeout on client
Publishing to large numbers of topics causes sync timeout on client
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
urgent Severity high
: ---
: ---
Assigned To: messaging-bugs
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-06 13:14 EDT by Gordon Sim
Modified: 2009-05-07 16:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 11:06:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2008-06-06 13:14:56 EDT
public void testDeath2() throws Exception
    {
        AMQConnection con = (AMQConnection) getConnection();
        TopicSession session1 = con.createTopicSession(false,
Session.AUTO_ACKNOWLEDGE);
        AMQTopic topic = new AMQTopic(con.getDefaultTopicExchangeName(), "death");
        TopicPublisher publisher = session1.createPublisher(topic);

        MessageListener messageListener = new MessageListener()
        {
            public void onMessage(Message message)
            {
            }
        };

        List<TopicSubscriber> listenerList = new ArrayList<TopicSubscriber>();

        TopicSubscriber listener = session1.createSubscriber(topic);
        listener.setMessageListener(messageListener);
        listenerList.add(listener);


        con.start();

        for(int i=0; i < 10000 ; i++)
        {
            BytesMessage outmsg = session1.createBytesMessage();
            final byte[] bytes = new byte[1024];
            outmsg.writeBytes(bytes);
            publisher.send(outmsg);

            System.out.println("Sent " + i + "messages") ;

            listener = session1.createSubscriber(topic);
            listener.setMessageListener(messageListener);
            listenerList.add(listener);

        }
    } 

Executing above the client eventually times out on sync; broker appears not to
respond.
Comment 1 Rafael H. Schloming 2008-06-06 18:13:21 EDT
I'm not sure what was up with that particular log, but we've identified this as
a bug in the java client, and Rob has submitted a fix.
Comment 2 Mike Bonnet 2008-06-19 23:53:23 EDT
qpidc-0.2.667603-1.el5, qpidc-perftest-0.2.667603-1.el5, qpidd-0.2.667603-1.el5, and rhm-0.2.2153-1.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.